Installing iOS 5 beta with iTunes 10.3 possible? Or do I need 10.5.1?

Discussion in 'Mac Apps and Mac App Store' started by MythicFrost, Jun 8, 2011.

  1. MythicFrost macrumors 68040

    MythicFrost

    Joined:
    Mar 11, 2009
    Location:
    Australia
    #1
    Can I install iOS 5 beta with iTunes 10.3, or do I need 10.5.1?

    EDIT: Answered this myself, it seems so.
     
  2. Shawnpk macrumors 6502

    Joined:
    Jan 13, 2011
    Location:
    Los Angeles, CA
    #2
    Always install iTunes before the new iOS. I learned this the hard way.
     
  3. MythicFrost thread starter macrumors 68040

    MythicFrost

    Joined:
    Mar 11, 2009
    Location:
    Australia
    #3
    Ah, I see. Noted.
     

Share This Page